SYSTEMD-KEYUTIL(1)

BEZEICHNUNG
systemd-keyutil - Verschiedene Aktionen auf privaten Schlüsseln und X.509-Zertifikaten ausführen

ÜBERSICHT

systemd-keyutil [OPTIONEN…] {BEFEHL}

BESCHREIBUNG

systemd-keyutil kann zur Ausführung verschiedener Aktionen auf privaten Schlüsseln und X.509-Zertifikaten verwandt werden.

BEFEHLE

validate
    Überprüft, dass der mit --private-key= bzw. --certificate= angegebene private Schlüssel bzw. das Zertifikat geladen werden kann.

    Falls der private Schlüssel von einem PIN-geschützten Hardware-Token geladen wird, kann dieser Befehl als Seiteneffekt zum Zwischenspeichern der PIN in dem Kernel-Schlüsselbund verwandt werden. Die Umgebungsvariablen $SYSTEMD_ASK_PASSWORD_KEYRING_TIMEOUT_SEC und $SYSTEMD_ASK_PASSWORD_KEYRING_TYPE können zum Steuern der Speicherdauer und der Auswahl, in welchem Kernelschlüsselbund die PIN zwischengespeichert wird, verwandt werden.

    Hinzugefügt in Version 257.

public
    Dieser Befehl gibt den öffentlichen Schlüssel im PEM-Format aus, der entweder aus dem mit --certificate= angegebenen Zertifikat oder dem mit --private-key= angegebenen privaten Schlüssel extrahiert wurde.

    Hinzugefügt in Version 257.

OPTIONEN

Die folgenden Optionen werden verstanden:

--private-key=PFAD/URI, --private-key-source=TYP[:NAME], --certificate=PFAD, --certificate-source=TYP[:NAME]
    Setzt den zu verwendenden privaten Schlüssel und das zu verwendende Zertifikat. Die Option --certificate= akzeptiert einen Pfad zu einem PEM-kodierten X.509-Zertifikat oder einer URI, die an den mit --certificate-source konfigurierten OpenSSL-Provider übergeben wird. --certificate-source akzeptiert entweder »file« oder »provider«, wobei letzterer von einer bestimmten Provider-Kennzeichnung gefolgt wird, die durch einen Doppelpunkt abgetrennt wird, z.B. »provider:pkcs11«. Die Option --private-key= kann einen Pfad oder eine URI akzeptieren, der/die an die OpenSSL-Engine oder den -Provider übergeben wird, wie sie im --private-key-source= als ein »Typ:Nayme«-Tupel angegeben ist, wie in »engine:pkcs11«.

    Hinzugefügt in Version 257.

-h, --help
    Zeigt einen kurzen Hilfetext an und beendet das Programm.

--version
    Zeigt eine kurze Versionszeichenkette an und beendet das Programm.

SIEHE AUCH

systemd-sbsign(1), systemd-measure(1)

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Helge Kreutzmann <debian@helgefjell.de> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).